import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { MonthlyTaskVO, MonthlyTaskForm } from './types';

/** 查询月度任务列表 */
export function listMonthlyTask(query: any): AxiosPromise<MonthlyTaskVO[]> {
    return request({
        url: '/customer/monthlyTask/list',
        method: 'get',
        params: query
    });
}

/** 获取月度任务详细信息 */
export function getMonthlyTask(id: string | number): AxiosPromise<MonthlyTaskVO> {
    return request({
        url: `/customer/monthlyTask/${id}`,
        method: 'get'
    });
}

/** 新增月度任务 */
export function addMonthlyTask(data: MonthlyTaskForm): AxiosPromise<void> {
    return request({
        url: '/customer/monthlyTask',
        method: 'post',
        data: data
    });
}

/** 修改月度任务 */
export function updateMonthlyTask(data: MonthlyTaskForm): AxiosPromise<void> {
    return request({
        url: '/customer/monthlyTask',
        method: 'put',
        data: data
    });
}
